com.threerings.parlor.client

## Interface InvitationResponseObserver

All Known Implementing Classes:
  LobbyController

    public interface InvitationResponseObserver

A client entity that wishes to generate invitations for games must implement this interface. An invitation can be accepted, refused or countered. A countered invitation is one where the game configuration is adjusted by the invited player and proposed back to the inviting player.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `invitationAccepted(Invitation invite)` Called if the invitation was accepted.
`void` `invitationCountered(Invitation invite, GameConfig config)` Called if the invitation was countered with an alternate game configuration.
`void` `invitationRefused(Invitation invite, String message)` Called if the invitation was refused.

### Method Detail

#### invitationAccepted

    void invitationAccepted(Invitation invite)

Called if the invitation was accepted.

Parameters:
  `invite` - the invitation for which we received a response.

#### invitationRefused

    void invitationRefused(Invitation invite,
                           String message)

Called if the invitation was refused.

Parameters:
  `invite` - the invitation for which we received a response.
  `message` - a message provided by the invited user explaining the reason for their refusal, or the empty string if no message was provided.

#### invitationCountered

    void invitationCountered(Invitation invite,
                             GameConfig config)

Called if the invitation was countered with an alternate game configuration.

Parameters:
  `invite` - the invitation for which we received a response.
  `config` - the game configuration proposed by the invited player.